<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <meta charset="UTF-8"/>
    <title data-th-text="#{admin.previewimporttrainingsites}">Weiterbildungsstätte hochladen</title>
    <link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}"/>
</head>
<body>
<div data-th-replace="fragments/nav::nav"></div>
<main>

    <form method="post" data-th-action="@{/admin/import/{id}/trainingsites(id=${fileUpload.id})}" data-th-object="${importDoctorsOfficeList}">
        <table class="datatable">
            <caption>Zu importierende Weiterbildungsstätten</caption>
            <thead>
            <tr>
                <th>#</th>
                <th>import</th>
                <th>Name</th>
                <th>Straße</th>
                <th>PLZ</th>
                <th>Stadt</th>
                <th>Region</th>
                <th>Medizinisches Fachgebiet</th>
                <th>Behandlungsart</th>
                <th>Typ</th>
                <th>E-Mail</th>
                <th>Tel. 1</th>
                <th>Tel. 2</th>
                <th>Fax</th>
                <th>Web</th>
            </tr>
            </thead>
            <tbody>
            <th:block data-th-each="entity,status: *{entities}">
                <tr>
                    <td rowspan="2" data-th-text="${status.index+1}"></td>
                    <td>Originaleintrag</td>
                    <td></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[5]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[5]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[6]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[6]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[7]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[7]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[27]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[27]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[4]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[4]}"/></td>
                    <td></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[8]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[8]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[24]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[24]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[19]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[19]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[26]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[26]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[23]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[23]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[25]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[25]}"/></td>
                </tr>
                <tr>
                    <td><input type="checkbox" data-th-field="*{entities[__${status.index}__].doImport}"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.name}" data-th-errorclass="error"></td>
                    <td>
                        <input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.street}" data-th-errorclass="error">
                        <input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.housenumber}" data-th-errorclass="error">
                    </td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.zipCode}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.city}" data-th-errorclass="error"></td>
                    <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.region}" data-th-errorclass="error">
                        <option value="">----</option>
                        <option data-th-each="region: ${regions}" data-th-value="${region.id}" data-th-text="${region.name}"></option>
                    </select></td>
                    <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.medicalField}" data-th-errorclass="error">
                        <option value="">----</option>
                        <option data-th-each="medicalField: ${medicalFields}" data-th-value="${medicalField.id}" data-th-text="${medicalField.name}"></option>
                    </select></td>
                    <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.treatmentType}" data-th-errorclass="error">
                        <option value="">----</option>
                        <option data-th-each="treatmentType: ${treatmentTypes}" data-th-value="${treatmentType}" data-th-text="#{${treatmentType}}"></option>
                    </select></td>
                    <td data-th-text="#{${entity.originalEntity.entity.trainingSiteType}}"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.email}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.phoneNumber}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.phoneNumber2}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.faxNumber}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.web}" data-th-errorclass="error"></td>
                </tr>
            </th:block>
            </tbody>
        </table>

        <button>Weiterbildungsstätte importieren</button>
    </form>

    <table class="datatable">
        <caption>Nicht importierte Weiterbildungsstätte (Duplikate in der Datei)</caption>
        <thead>
        <tr>
            <th>Zeilennummer</th>
            <th>Name</th>
            <th>Anschrift</th>
        </tr>
        </thead>
        <tbody>
        <tr data-th-each="trainingSite: ${duplicateTrainingSites}">
            <td data-th-text="${trainingSite.key}"></td>
            <td data-th-text="${trainingSite.value.name}"/>
            <td data-th-text="${trainingSite.value.address.fullAddress}"/>
        </tr>
        </tbody>
    </table>

    <table class="datatable">
        <caption>Nicht importierte Weiterbildungsstätte (Nicht unterstützte Einträge)</caption>
        <thead>
        <tr>
            <th>Zeilennummer</th>
            <th>Name</th>
            <th>Anschrift</th>
        </tr>
        </thead>
        <tbody>
        <tr data-th-each="trainingSite: ${skippedTrainingSites}">
            <td data-th-text="${trainingSite.key}"></td>
            <td data-th-text="${trainingSite.value.name}"/>
            <td data-th-text="${trainingSite.value.address.fullAddress}"/>
        </tr>
        </tbody>
    </table>
</main>
</body>
</html>